using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Echo.Core.Common.Packed
{
    [StructLayout(LayoutKind.Sequential)]
    public readonly partial struct Int2
    {
        [MethodImpl(MethodImplOptions.AggressiveInlining)]
        public Int2(int x, int y)
        {
            X = x;
            Y = y;
        }
        public int X { get; }
        public int Y { get; }
    }
}